Skip to content
↑↓ navigate↵ openEsc close

API reference

Orders & products

Synced orders and marketplace products, plus pick and pack lists.

List orders

GET/v1/orders

Orders of the current tenant.

Scopes:orders:read

Query parameters

  • storeIdstringoptional

    format: uuid

  • statusOrderStatusoptional

    One of:pending_paymentprocessingshippeddeliveredcompletedcancelledreturned

  • fromstringoptional

    Inclusive start (ISO 8601). Defaults to 30 days ago.

    format: date-time

  • tostringoptional

    Exclusive end (ISO 8601). Defaults to now.

    format: date-time

  • qstringoptional

    Matches the marketplace order id.

    max length 64

  • cursorstringoptional
  • limitintegeroptional

    min 1 · max 200 · default: 50

Response200 · application/json

Orders, newest first

  • itemsarray<Order>required
    Show 19 child attributes
    • idstringrequired

      format: uuid

    • storeIdstringrequired

      format: uuid

    • marketplacestringrequired

      One of:tiktokshopeelazadatokopedia

    • externalOrderIdstringrequired
    • statusstringrequired

      One of:pending_paymentprocessingshippeddeliveredcompletedcancelledreturned

    • marketplaceStatusstringrequired
    • placedAtstringrequired

      format: date-time

    • paidAtstringrequirednullable

      format: date-time

    • completedAtstringrequirednullable

      format: date-time

    • cancelledAtstringrequirednullable

      format: date-time

    • currencystringrequired
    • subtotalstring (decimal)required

      Decimal string with two fraction digits.

    • shippingFeestring (decimal)required

      Decimal string with two fraction digits.

    • discountTotalstring (decimal)required

      Decimal string with two fraction digits.

    • totalstring (decimal)required

      Decimal string with two fraction digits.

    • sourceChannelstringrequired

      One of:livevideoshopaffiliateunknown

    • externalLiveIdstringrequirednullable
    • itemCountintegerrequired
    • syncedAtstringrequired

      format: date-time

  • pageInfoPageInforequired
    Show 2 child attributes
    • nextCursorstringrequirednullable
    • hasMorebooleanrequired
Example request · curl
curl "https://api.comnethub.app/v1/orders?limit=20" \
  -H "Authorization: Bearer $THECOMNET_API_KEY"

Get order

GET/v1/orders/{orderId}

Order with items, timeline, returns, and settlements.

Scopes:orders:read

Path parameters

  • orderIdstringrequired

    format: uuid

Response200 · application/json

Order detail

  • idstringrequired

    format: uuid

  • storeIdstringrequired

    format: uuid

  • marketplacestringrequired

    One of:tiktokshopeelazadatokopedia

  • externalOrderIdstringrequired
  • statusstringrequired

    One of:pending_paymentprocessingshippeddeliveredcompletedcancelledreturned

  • marketplaceStatusstringrequired
  • placedAtstringrequired

    format: date-time

  • paidAtstringrequirednullable

    format: date-time

  • completedAtstringrequirednullable

    format: date-time

  • cancelledAtstringrequirednullable

    format: date-time

  • currencystringrequired
  • subtotalstring (decimal)required

    Decimal string with two fraction digits.

  • shippingFeestring (decimal)required

    Decimal string with two fraction digits.

  • discountTotalstring (decimal)required

    Decimal string with two fraction digits.

  • totalstring (decimal)required

    Decimal string with two fraction digits.

  • sourceChannelstringrequired

    One of:livevideoshopaffiliateunknown

  • externalLiveIdstringrequirednullable
  • itemCountintegerrequired
  • syncedAtstringrequired

    format: date-time

  • shippedAtstringrequirednullable

    format: date-time

  • deliveredAtstringrequirednullable

    format: date-time

  • buyerRefstringrequirednullable
  • itemsarray<OrderItem>required
    Show 11 child attributes
    • idstringrequired

      format: uuid

    • externalItemIdstringrequired
    • externalProductIdstringrequirednullable
    • externalSkuIdstringrequirednullable
    • namestringrequired
    • skustringrequirednullable
    • quantityintegerrequired
    • unitPricestring (decimal)required

      Decimal string with two fraction digits.

    • subtotalstring (decimal)required

      Decimal string with two fraction digits.

    • statusstringrequirednullable
    • externalLiveIdstringrequirednullable
  • eventsarray<OrderEvent>required
    Show 7 child attributes
    • idstringrequired

      format: uuid

    • kindstringrequired

      One of:createdstatus_changedsyncedreturnsettlednote

    • fromStatusstringrequirednullable
    • toStatusstringrequirednullable
    • occurredAtstringrequired

      format: date-time

    • sourcestringrequired

      One of:webhookbackfillmanual

    • payloadobject (map)optional
  • returnsarray<OrderReturn>required
    Show 9 child attributes
    • idstringrequired

      format: uuid

    • externalReturnIdstringrequired
    • typestringrequired
    • statusstringrequired
    • reasonstringrequirednullable
    • refundAmountstring (decimal)required

      Decimal string with two fraction digits.

    • currencystringrequirednullable
    • requestedAtstringrequirednullable

      format: date-time

    • resolvedAtstringrequirednullable

      format: date-time

  • settlementsarray<OrderSettlement>required
    Show 8 child attributes
    • idstringrequired

      format: uuid

    • externalStatementIdstringrequired
    • settlementAmountstring (decimal)required

      Decimal string with two fraction digits.

    • revenueAmountstring (decimal)required

      Decimal string with two fraction digits.

    • feeAmountstring (decimal)required

      Decimal string with two fraction digits.

    • adjustmentAmountstring (decimal)required

      Decimal string with two fraction digits.

    • currencystringrequirednullable
    • settledAtstringrequirednullable

      format: date-time

Example request · curl
curl "https://api.comnethub.app/v1/orders/$ORDER_ID" \
  -H "Authorization: Bearer $THECOMNET_API_KEY"

List products

GET/v1/products

Products synced from marketplaces.

Scopes:products:read

Query parameters

  • storeIdstringoptional

    format: uuid

  • qstringoptional

    max length 120

  • cursorstringoptional
  • limitintegeroptional

    min 1 · max 200 · default: 50

Response200 · application/json

Products

  • itemsarray<Product>required
    Show 8 child attributes
    • idstringrequired

      format: uuid

    • storeIdstringrequired

      format: uuid

    • externalProductIdstringrequired
    • titlestringrequired
    • statusstringrequired
    • imagesarray<string>required
    • variantsarray<ProductVariant>required
      Show 10 child attributes
      • inventoryItemIdstringrequirednullable

        Master stock item this variant follows.

        format: uuid

      • managedStockbooleanrequired

        Stock is pushed from the master item; edit it there.

      • managedPricebooleanrequired

        Price is pushed from the master item; edit it there.

      • idstringrequired

        format: uuid

      • externalSkuIdstringrequired
      • skustringrequirednullable
      • namestringrequirednullable
      • pricestring (decimal)requirednullable

        Decimal string with two fraction digits.

      • currencystringrequirednullable
      • stockintegerrequirednullable
    • syncedAtstringrequired

      format: date-time

  • pageInfoPageInforequired
    Show 2 child attributes
    • nextCursorstringrequirednullable
    • hasMorebooleanrequired
Example request · curl
curl "https://api.comnethub.app/v1/products?limit=20" \
  -H "Authorization: Bearer $THECOMNET_API_KEY"

Bulk pick pack

POST/v1/bulk/orders/pick-pack

Picking list (units per SKU) and packing list (per order) for printing.

Scopes:orders:write

Request bodyapplication/json

  • orderIdsarray<Id>required

    min items 1 · max items 200

Response200 · application/json

Orders in request order and aggregated picks

  • ordersarray<PackingOrder>required
    Show 13 child attributes
    • orderIdstringrequired

      format: uuid

    • externalOrderIdstringrequired
    • storeIdstringrequired

      format: uuid

    • storeNamestringrequired
    • marketplacestringrequired

      One of:tiktokshopeelazadatokopedia

    • statusstringrequired

      One of:pending_paymentprocessingshippeddeliveredcompletedcancelledreturned

    • placedAtstringrequired

      format: date-time

    • recipientNamestringrequirednullable

      As provided by the marketplace (often masked).

    • recipientAddressstringrequirednullable
    • buyerNotestringrequirednullable
    • trackingNumberstringrequirednullable
    • shippingProviderstringrequirednullable
    • itemsarray<object>required
      Show 3 child attributes
      • namestringrequired
      • skustringrequirednullable
      • quantityintegerrequired
  • picksarray<PickLine>required
    Show 4 child attributes
    • skustringrequirednullable
    • namestringrequired
    • quantityintegerrequired
    • ordersintegerrequired

      Number of orders that contain this line.

  • generatedAtstringrequired

    format: date-time

Example request · curl
curl -X POST "https://api.comnethub.app/v1/bulk/orders/pick-pack" \
  -H "Authorization: Bearer $THECOMNET_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "orderIds": [
    "0192f0c4-8d1e-7a4b-9c3e-5f6a7b8c9d0e"
  ]
}'